%define name	xmlppm
%define version	0.96
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XML data compression program
Source:		%{name}-%{version}-src.tar.bz2
URL:		http://www.cs.cornell.edu/People/jcheney/xmlppm/xmlppm.html
License:	GPL
Group:		File tools
BuildRequires:	libexpat1_95-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
XMLPPM is a data compression program that compresses XML files from 5 to
30% better than any existing text or XML-specific compressors. It is a
combination of the well-known Prediction by Partial Match (PPM)
algorithm for text compression, first described by Cleary and Witten in
1984, and an approach to modeling tree-structured data called
Multiplexed Hierarchical Modeling (MHM) developed by James Cheney.
XMLPPM source code is part of a project at Sourceforge on XML
compression.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
cd xmlppmdg
perl -pi -e 's|-O2|\$(RPM_OPT_FLAGS)|' Makefile
%make

%install
cd xmlppmdg
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 xmlppm xmlunppm $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.96-1mdk
- 0.96 

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-3mdk
- fix group

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.95-2mdk
- fixed 1st person description (Levi Ramsey <lramsey@student.umass.edu>)
- mdk optimisations

* Wed Mar 13 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 0.95-1mdk
- first mdk release
